package com.dcs.equipment.domain;

import lombok.Data;

import java.util.concurrent.atomic.AtomicBoolean;

/**
 * @author: wangpx
 * @date: 2025-07-17 09:15
 */
@Data
public class ReconnectionStatus {
    private final AtomicBoolean isReconnecting;
    private int reconnectionCount;

    public ReconnectionStatus() {
        this.isReconnecting = new AtomicBoolean(false);
        this.reconnectionCount = 0;
    }

    public void incrementReconnectionCount() {
        reconnectionCount++;
    }

}
